From 115cf04ba1e1006ae31ecabc0f19d6ab792678d7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Emilio=20Cobos=20=C3=81lvarez?= <emilio@crisal.io>
Date: Sun, 1 Jul 2018 14:29:44 +0200
Subject: [PATCH] Bug 1472538: Update bindgen. r=xidorn

Surprisingly painless.

I'll update to 0.37.4 instead of .3, but that only contains
https://github.com/rust-lang-nursery/rust-bindgen/pull/1343 on top to prevent
build warnings.

MozReview-Commit-ID: H0uMtdGnXvL
---
 Cargo.lock                                    |  225 +-
 js/rust/Cargo.toml                            |    2 +-
 servo/components/style/Cargo.toml             |    2 +-
 .../rust/aho-corasick/.cargo-checksum.json    |    2 +-
 third_party/rust/aho-corasick/.travis.yml     |   13 +-
 third_party/rust/aho-corasick/Cargo.toml      |   69 +-
 third_party/rust/aho-corasick/README.md       |    2 +-
 .../rust/aho-corasick/benches/bench.rs        |   34 +
 third_party/rust/aho-corasick/ci/script.sh    |   20 +
 .../rust/aho-corasick/examples/dict-search.rs |   47 +-
 third_party/rust/aho-corasick/src/autiter.rs  |    6 +-
 third_party/rust/aho-corasick/src/full.rs     |   29 +-
 third_party/rust/aho-corasick/src/lib.rs      |  241 +-
 third_party/rust/bindgen/.cargo-checksum.json |    2 +-
 third_party/rust/bindgen/Cargo.toml           |   19 +-
 third_party/rust/bindgen/LICENSE              |   28 +
 third_party/rust/bindgen/README.md            |   45 +
 third_party/rust/bindgen/src/callbacks.rs     |   17 +-
 third_party/rust/bindgen/src/clang.rs         |   52 +-
 .../rust/bindgen/src/codegen/bitfield_unit.rs |   33 +-
 .../rust/bindgen/src/codegen/helpers.rs       |   48 +-
 .../bindgen/src/codegen/impl_partialeq.rs     |    5 +-
 third_party/rust/bindgen/src/codegen/mod.rs   |  376 +-
 .../rust/bindgen/src/codegen/struct_layout.rs |   51 +-
 third_party/rust/bindgen/src/features.rs      |   31 +-
 .../bindgen/src/ir/analysis/derive_copy.rs    |    6 +-
 .../bindgen/src/ir/analysis/derive_debug.rs   |    4 +-
 .../bindgen/src/ir/analysis/derive_default.rs |    4 +-
 .../bindgen/src/ir/analysis/derive_hash.rs    |    4 +-
 .../derive_partialeq_or_partialord.rs         |    4 +-
 .../src/ir/analysis/template_params.rs        |    4 +-
 third_party/rust/bindgen/src/ir/comment.rs    |    2 +-
 third_party/rust/bindgen/src/ir/comp.rs       |   20 +-
 third_party/rust/bindgen/src/ir/context.rs    |  210 +-
 third_party/rust/bindgen/src/ir/derive.rs     |    2 +-
 third_party/rust/bindgen/src/ir/dot.rs        |   18 +-
 third_party/rust/bindgen/src/ir/enum_ty.rs    |   80 +-
 third_party/rust/bindgen/src/ir/function.rs   |   31 +-
 third_party/rust/bindgen/src/ir/item.rs       |   18 +-
 third_party/rust/bindgen/src/ir/item_kind.rs  |    4 +-
 third_party/rust/bindgen/src/ir/layout.rs     |   29 +-
 third_party/rust/bindgen/src/ir/objc.rs       |    8 +-
 third_party/rust/bindgen/src/ir/template.rs   |   63 +-
 third_party/rust/bindgen/src/ir/traversal.rs  |   17 +-
 third_party/rust/bindgen/src/ir/ty.rs         |   39 +-
 third_party/rust/bindgen/src/ir/var.rs        |   20 +-
 third_party/rust/bindgen/src/lib.rs           |  228 +-
 third_party/rust/bindgen/src/options.rs       |   73 +-
 third_party/rust/bindgen/src/time.rs          |    2 +-
 .../rust/clang-sys/.cargo-checksum.json       |    2 +-
 third_party/rust/clang-sys/.travis.yml        |    7 -
 third_party/rust/clang-sys/CHANGELOG.md       |   18 +
 third_party/rust/clang-sys/CONTRIBUTING.md    |    7 -
 third_party/rust/clang-sys/Cargo.toml         |   16 +-
 third_party/rust/clang-sys/README.md          |   15 +-
 third_party/rust/clang-sys/build.rs           |   71 +-
 third_party/rust/clang-sys/ci/install.bat     |    2 +-
 third_party/rust/clang-sys/src/lib.rs         |   29 +-
 third_party/rust/clang-sys/src/link.rs        |    6 +-
 third_party/rust/clang-sys/src/support.rs     |    9 +-
 third_party/rust/libc/.cargo-checksum.json    |    2 +-
 third_party/rust/libc/.travis.yml             |   29 +-
 third_party/rust/libc/Cargo.toml              |    5 +-
 third_party/rust/libc/README.md               |   57 +-
 third_party/rust/libc/appveyor.yml            |    1 +
 third_party/rust/libc/ci/README.md            |   92 +-
 .../aarch64-unknown-linux-musl/Dockerfile     |   12 +-
 .../arm-unknown-linux-musleabihf/Dockerfile   |   12 +-
 .../docker/i686-unknown-linux-gnu/Dockerfile  |    2 +-
 .../docker/i686-unknown-linux-musl/Dockerfile |   13 +-
 .../docker/s390x-unknown-linux-gnu/Dockerfile |   16 +-
 .../sparc64-unknown-linux-gnu/Dockerfile      |   23 +-
 .../wasm32-unknown-emscripten/node-wrapper.sh |    4 +
 .../docker/x86_64-unknown-freebsd/Dockerfile  |    8 +-
 .../x86_64-unknown-linux-gnu/Dockerfile       |    2 +-
 .../x86_64-unknown-linux-gnux32/Dockerfile    |    2 +-
 .../x86_64-unknown-linux-musl/Dockerfile      |   12 +-
 third_party/rust/libc/ci/dox.sh               |    2 +-
 third_party/rust/libc/ci/emscripten-entry.sh  |    2 +-
 .../ci/ios/deploy_and_run_on_ios_simulator.rs |    1 +
 third_party/rust/libc/ci/linux-s390x.sh       |   18 +
 third_party/rust/libc/ci/linux-sparc64.sh     |   17 +
 third_party/rust/libc/ci/run.sh               |   24 +-
 third_party/rust/libc/ci/style.rs             |    4 +-
 third_party/rust/libc/ci/test-runner-linux    |   23 +
 third_party/rust/libc/src/cloudabi/aarch64.rs |    4 +
 third_party/rust/libc/src/cloudabi/arm.rs     |    4 +
 third_party/rust/libc/src/cloudabi/mod.rs     |  166 +
 third_party/rust/libc/src/cloudabi/x86.rs     |    4 +
 third_party/rust/libc/src/cloudabi/x86_64.rs  |    4 +
 third_party/rust/libc/src/dox.rs              |   71 +-
 third_party/rust/libc/src/fuchsia/aarch64.rs  |  336 +
 third_party/rust/libc/src/fuchsia/mod.rs      | 3999 +++++++++++
 .../rust/libc/src/fuchsia/powerpc64.rs        |   79 +
 third_party/rust/libc/src/fuchsia/x86_64.rs   |  447 ++
 third_party/rust/libc/src/lib.rs              |  397 +-
 third_party/rust/libc/src/macros.rs           |   25 +-
 third_party/rust/libc/src/redox/mod.rs        |   34 +
 third_party/rust/libc/src/redox/net.rs        |   14 +
 .../rust/libc/src/unix/bsd/apple/b32.rs       |    7 +
 .../rust/libc/src/unix/bsd/apple/b64.rs       |    9 +-
 .../rust/libc/src/unix/bsd/apple/mod.rs       |  417 +-
 .../src/unix/bsd/freebsdlike/dragonfly/mod.rs |   84 +
 .../src/unix/bsd/freebsdlike/freebsd/mod.rs   |  200 +-
 .../rust/libc/src/unix/bsd/freebsdlike/mod.rs |  110 +-
 third_party/rust/libc/src/unix/bsd/mod.rs     |   10 +-
 .../rust/libc/src/unix/bsd/netbsdlike/mod.rs  |   37 +-
 .../src/unix/bsd/netbsdlike/netbsd/mod.rs     |  157 +-
 .../openbsdlike/{bitrig.rs => bitrig/mod.rs}  |   36 +
 .../{other/b32/mod.rs => bitrig/x86.rs}       |    0
 .../{other/b64/mod.rs => bitrig/x86_64.rs}    |    0
 .../unix/bsd/netbsdlike/openbsdlike/mod.rs    |   55 +-
 .../bsd/netbsdlike/openbsdlike/openbsd.rs     |   35 -
 .../netbsdlike/openbsdlike/openbsd/aarch64.rs |    3 +
 .../bsd/netbsdlike/openbsdlike/openbsd/mod.rs |  279 +
 .../bsd/netbsdlike/openbsdlike/openbsd/x86.rs |    3 +
 .../netbsdlike/openbsdlike/openbsd/x86_64.rs  |    3 +
 .../bsd/netbsdlike/openbsdlike/other/mod.rs   |   11 -
 third_party/rust/libc/src/unix/haiku/mod.rs   |   55 +-
 .../rust/libc/src/unix/hermit/aarch64.rs      |    2 +
 third_party/rust/libc/src/unix/hermit/mod.rs  |  736 ++
 .../rust/libc/src/unix/hermit/x86_64.rs       |    2 +
 third_party/rust/libc/src/unix/mod.rs         |   54 +-
 .../rust/libc/src/unix/newlib/aarch64/mod.rs  |    5 +
 third_party/rust/libc/src/unix/newlib/mod.rs  |  118 +-
 .../libc/src/unix/notbsd/android/b32/mod.rs   |   16 -
 .../libc/src/unix/notbsd/android/b64/mod.rs   |   25 -
 .../rust/libc/src/unix/notbsd/android/mod.rs  |  590 ++
 .../rust/libc/src/unix/notbsd/emscripten.rs   |   81 +-
 .../libc/src/unix/notbsd/linux/mips/mips32.rs |   72 +-
 .../libc/src/unix/notbsd/linux/mips/mips64.rs |   68 +
 .../libc/src/unix/notbsd/linux/mips/mod.rs    |  246 +
 .../rust/libc/src/unix/notbsd/linux/mod.rs    |  826 ++-
 .../src/unix/notbsd/linux/musl/b32/arm.rs     |   85 +
 .../src/unix/notbsd/linux/musl/b32/mips.rs    |   85 +
 .../src/unix/notbsd/linux/musl/b32/mod.rs     |   24 +-
 .../src/unix/notbsd/linux/musl/b32/powerpc.rs |  866 +++
 .../src/unix/notbsd/linux/musl/b32/x86.rs     |   85 +
 .../src/unix/notbsd/linux/musl/b64/aarch64.rs |  135 +
 .../src/unix/notbsd/linux/musl/b64/mod.rs     |   62 -
 .../unix/notbsd/linux/musl/b64/powerpc64.rs   |  513 +-
 .../src/unix/notbsd/linux/musl/b64/x86_64.rs  |  136 +
 .../libc/src/unix/notbsd/linux/musl/mod.rs    |  104 +-
 .../src/unix/notbsd/linux/other/b32/mod.rs    |   70 +
 .../unix/notbsd/linux/other/b64/aarch64.rs    |   50 +
 .../unix/notbsd/linux/other/b64/not_x32.rs    |   70 +
 .../unix/notbsd/linux/other/b64/powerpc64.rs  |   69 +
 .../unix/notbsd/linux/other/b64/sparc64.rs    |  422 +-
 .../src/unix/notbsd/linux/other/b64/x32.rs    |   43 +
 .../src/unix/notbsd/linux/other/b64/x86_64.rs |    5 +
 .../libc/src/unix/notbsd/linux/other/mod.rs   |  328 +-
 .../rust/libc/src/unix/notbsd/linux/s390x.rs  |   91 +-
 third_party/rust/libc/src/unix/notbsd/mod.rs  |  210 +-
 third_party/rust/libc/src/unix/solaris/mod.rs |  146 +-
 .../rust/libc/src/unix/uclibc/mips/mips32.rs  |  372 +-
 .../rust/libc/src/unix/uclibc/mips/mips64.rs  |    5 +
 .../rust/libc/src/unix/uclibc/mips/mod.rs     |    2 +
 third_party/rust/libc/src/unix/uclibc/mod.rs  |  138 +-
 .../rust/libc/src/unix/uclibc/x86_64/l4re.rs  |    1 +
 .../rust/libc/src/unix/uclibc/x86_64/mod.rs   |   83 +-
 .../rust/libc/src/unix/uclibc/x86_64/other.rs |    4 +
 .../rust/libloading/.cargo-checksum.json      |    2 +-
 third_party/rust/libloading/Cargo.toml        |   28 +-
 third_party/rust/libloading/README.mkd        |    6 -
 third_party/rust/libloading/build.rs          |   30 +-
 third_party/rust/libloading/src/changelog.rs  |   34 +
 third_party/rust/libloading/src/lib.rs        |   49 +-
 .../libloading/src/os/unix/global_static.c    |   20 +
 .../rust/libloading/src/os/unix/mod.rs        |   43 +-
 .../rust/libloading/src/os/windows/mod.rs     |  111 +-
 .../rust/libloading/tests/functions.rs        |   66 +
 third_party/rust/libloading/tests/statics.rs  |   44 -
 .../rust/memchr-1.0.2/.cargo-checksum.json    |    1 +
 third_party/rust/memchr-1.0.2/.travis.yml     |   14 +
 third_party/rust/memchr-1.0.2/COPYING         |    3 +
 third_party/rust/memchr-1.0.2/Cargo.toml      |   44 +
 third_party/rust/memchr-1.0.2/LICENSE-MIT     |   21 +
 third_party/rust/memchr-1.0.2/Makefile        |   14 +
 third_party/rust/memchr-1.0.2/README.md       |   36 +
 third_party/rust/memchr-1.0.2/UNLICENSE       |   24 +
 third_party/rust/memchr-1.0.2/appveyor.yml    |   19 +
 .../rust/memchr-1.0.2/benches/bench.rs        |  117 +
 third_party/rust/memchr-1.0.2/ctags.rust      |   11 +
 third_party/rust/memchr-1.0.2/session.vim     |    1 +
 third_party/rust/memchr-1.0.2/src/lib.rs      |  881 +++
 third_party/rust/memchr/.cargo-checksum.json  |    2 +-
 third_party/rust/memchr/.travis.yml           |   12 +-
 third_party/rust/memchr/Cargo.toml            |    5 +-
 third_party/rust/memchr/README.md             |    2 +-
 third_party/rust/memchr/appveyor.yml          |    5 +-
 third_party/rust/memchr/ci/script.sh          |   20 +
 third_party/rust/memchr/src/lib.rs            |  345 +-
 .../proc-macro2-0.2.2/.cargo-checksum.json    |    1 +
 .../rust/proc-macro2-0.2.2/.travis.yml        |   31 +
 third_party/rust/proc-macro2-0.2.2/Cargo.toml |   31 +
 .../rust/proc-macro2-0.2.2/LICENSE-APACHE     |  201 +
 .../rust/proc-macro2-0.2.2/LICENSE-MIT        |   25 +
 third_party/rust/proc-macro2-0.2.2/README.md  |   98 +
 third_party/rust/proc-macro2-0.2.2/src/lib.rs |  337 +
 .../src/macros.rs                             |    0
 .../rust/proc-macro2-0.2.2/src/stable.rs      | 1206 ++++
 .../rust/proc-macro2-0.2.2/src/strnom.rs      |  447 ++
 .../rust/proc-macro2-0.2.2/src/unstable.rs    |  406 ++
 .../rust/proc-macro2-0.2.2/tests/test.rs      |  179 +
 .../rust/proc-macro2/.cargo-checksum.json     |    2 +-
 third_party/rust/proc-macro2/.travis.yml      |    1 +
 third_party/rust/proc-macro2/Cargo.toml       |    6 +-
 third_party/rust/proc-macro2/README.md        |    4 +-
 third_party/rust/proc-macro2/src/lib.rs       |  483 +-
 third_party/rust/proc-macro2/src/stable.rs    |  615 +-
 third_party/rust/proc-macro2/src/strnom.rs    |   88 +-
 third_party/rust/proc-macro2/src/unstable.rs  |  327 +-
 third_party/rust/proc-macro2/tests/test.rs    |  152 +-
 .../rust/quote-0.4.2/.cargo-checksum.json     |    1 +
 third_party/rust/quote-0.4.2/Cargo.toml       |   24 +
 third_party/rust/quote-0.4.2/LICENSE-APACHE   |  201 +
 third_party/rust/quote-0.4.2/LICENSE-MIT      |   25 +
 third_party/rust/quote-0.4.2/README.md        |  135 +
 third_party/rust/quote-0.4.2/src/lib.rs       |  501 ++
 third_party/rust/quote-0.4.2/src/to_tokens.rs |  175 +
 third_party/rust/quote-0.4.2/src/tokens.rs    |  264 +
 third_party/rust/quote-0.4.2/tests/test.rs    |  292 +
 third_party/rust/quote/.cargo-checksum.json   |    2 +-
 third_party/rust/quote/Cargo.toml             |   10 +-
 third_party/rust/quote/README.md              |   10 +-
 third_party/rust/quote/src/lib.rs             |   84 +-
 third_party/rust/quote/src/to_tokens.rs       |   64 +-
 third_party/rust/quote/src/tokens.rs          |   44 +-
 third_party/rust/quote/tests/test.rs          |   19 +-
 .../rust/regex-0.2.2/.cargo-checksum.json     |    1 +
 third_party/rust/regex-0.2.2/.travis.yml      |   28 +
 third_party/rust/regex-0.2.2/CHANGELOG.md     |  276 +
 third_party/rust/regex-0.2.2/Cargo.toml       |   94 +
 third_party/rust/regex-0.2.2/HACKING.md       |  315 +
 third_party/rust/regex-0.2.2/LICENSE-APACHE   |  201 +
 third_party/rust/regex-0.2.2/LICENSE-MIT      |   25 +
 third_party/rust/regex-0.2.2/PERFORMANCE.md   |  279 +
 third_party/rust/regex-0.2.2/README.md        |  240 +
 third_party/rust/regex-0.2.2/appveyor.yml     |   17 +
 .../rust/regex-0.2.2/ci/after_success.sh      |   34 +
 third_party/rust/regex-0.2.2/ci/run-kcov      |   58 +
 .../rust/regex-0.2.2/ci/run-shootout-test     |   18 +
 third_party/rust/regex-0.2.2/ci/script.sh     |   35 +
 .../{regex => regex-0.2.2}/examples/bug347.rs |    0
 .../regex-0.2.2/examples/regexdna-input.txt   | 1671 +++++
 .../regex-0.2.2/examples/regexdna-output.txt  |   13 +
 .../examples/shootout-regex-dna-bytes.rs      |   66 +
 .../examples/shootout-regex-dna-cheat.rs      |   88 +
 .../examples/shootout-regex-dna-replace.rs    |   19 +
 .../shootout-regex-dna-single-cheat.rs        |   73 +
 .../examples/shootout-regex-dna-single.rs     |   55 +
 .../examples/shootout-regex-dna.rs            |   66 +
 .../examples/shootout-regex-redux-1.rs        |    0
 .../examples/shootout-regex-redux-chunked.rs  |    0
 .../examples/shootout-regex-redux.rs          |    0
 .../rust/regex-0.2.2/scripts/frequencies.py   |   82 +
 .../regex-0.2.2/scripts/regex-match-tests.py  |  107 +
 .../{regex => regex-0.2.2}/scripts/unicode.py |    0
 third_party/rust/regex-0.2.2/src/backtrack.rs |  302 +
 third_party/rust/regex-0.2.2/src/compile.rs   | 1102 +++
 third_party/rust/regex-0.2.2/src/dfa.rs       | 1879 +++++
 third_party/rust/regex-0.2.2/src/error.rs     |   63 +
 third_party/rust/regex-0.2.2/src/exec.rs      | 1275 ++++
 third_party/rust/regex-0.2.2/src/expand.rs    |  215 +
 third_party/rust/regex-0.2.2/src/freqs.rs     |  271 +
 third_party/rust/regex-0.2.2/src/input.rs     |  425 ++
 third_party/rust/regex-0.2.2/src/lib.rs       |  648 ++
 .../{regex => regex-0.2.2}/src/literals.rs    |    0
 third_party/rust/regex-0.2.2/src/pattern.rs   |   62 +
 third_party/rust/regex-0.2.2/src/pikevm.rs    |  377 +
 third_party/rust/regex-0.2.2/src/prog.rs      |  426 ++
 .../rust/regex-0.2.2/src/re_builder.rs        |  263 +
 third_party/rust/regex-0.2.2/src/re_bytes.rs  | 1031 +++
 .../{regex => regex-0.2.2}/src/re_plugin.rs   |    0
 third_party/rust/regex-0.2.2/src/re_set.rs    |  411 ++
 third_party/rust/regex-0.2.2/src/re_trait.rs  |  268 +
 .../rust/regex-0.2.2/src/re_unicode.rs        | 1237 ++++
 .../src/simd_accel/mod.rs                     |    0
 .../src/simd_accel/teddy128.rs                |    0
 .../src/simd_fallback/mod.rs                  |    0
 .../src/simd_fallback/teddy128.rs             |    0
 third_party/rust/regex-0.2.2/src/sparse.rs    |   78 +
 .../rust/regex-0.2.2/src/testdata/LICENSE     |   19 +
 .../rust/regex-0.2.2/src/testdata/README      |   17 +
 .../rust/regex-0.2.2/src/testdata/basic.dat   |  221 +
 .../regex-0.2.2/src/testdata/nullsubexpr.dat  |   79 +
 .../regex-0.2.2/src/testdata/repetition.dat   |  163 +
 third_party/rust/regex-0.2.2/src/utf8.rs      |  290 +
 third_party/rust/regex-0.2.2/tests/api.rs     |  182 +
 third_party/rust/regex-0.2.2/tests/api_str.rs |   22 +
 third_party/rust/regex-0.2.2/tests/bytes.rs   |   62 +
 third_party/rust/regex-0.2.2/tests/crazy.rs   |   78 +
 third_party/rust/regex-0.2.2/tests/flags.rs   |   11 +
 third_party/rust/regex-0.2.2/tests/fowler.rs  |  371 +
 third_party/rust/regex-0.2.2/tests/macros.rs  |  149 +
 .../rust/regex-0.2.2/tests/macros_bytes.rs    |   41 +
 .../rust/regex-0.2.2/tests/macros_str.rs      |   40 +
 third_party/rust/regex-0.2.2/tests/misc.rs    |   14 +
 .../rust/regex-0.2.2/tests/multiline.rs       |   49 +
 third_party/rust/regex-0.2.2/tests/noparse.rs |   48 +
 .../{regex => regex-0.2.2}/tests/plugin.rs    |    0
 .../rust/regex-0.2.2/tests/regression.rs      |   92 +
 third_party/rust/regex-0.2.2/tests/replace.rs |   38 +
 .../rust/regex-0.2.2/tests/searcher.rs        |   66 +
 third_party/rust/regex-0.2.2/tests/set.rs     |   32 +
 .../rust/regex-0.2.2/tests/shortest_match.rs  |   14 +
 .../rust/regex-0.2.2/tests/suffix_reverse.rs  |   16 +
 .../rust/regex-0.2.2/tests/test_backtrack.rs  |   64 +
 .../regex-0.2.2/tests/test_backtrack_bytes.rs |   65 +
 .../tests/test_backtrack_utf8bytes.rs         |   65 +
 .../rust/regex-0.2.2/tests/test_default.rs    |   77 +
 .../regex-0.2.2/tests/test_default_bytes.rs   |   73 +
 .../rust/regex-0.2.2/tests/test_nfa.rs        |   60 +
 .../rust/regex-0.2.2/tests/test_nfa_bytes.rs  |   65 +
 .../regex-0.2.2/tests/test_nfa_utf8bytes.rs   |   61 +
 .../tests/test_plugin.rs                      |    0
 third_party/rust/regex-0.2.2/tests/unicode.rs |   31 +
 .../rust/regex-0.2.2/tests/word_boundary.rs   |   89 +
 .../regex-0.2.2/tests/word_boundary_ascii.rs  |    9 +
 .../tests/word_boundary_unicode.rs            |    8 +
 .../regex-syntax-0.4.1/.cargo-checksum.json   |    1 +
 .../rust/regex-syntax-0.4.1/Cargo.toml        |   13 +
 .../rust/regex-syntax-0.4.1/src/lib.rs        | 2214 ++++++
 .../src/literals.rs                           |    0
 .../rust/regex-syntax-0.4.1/src/parser.rs     | 3311 +++++++++
 .../src/properties.rs                         |    0
 .../rust/regex-syntax-0.4.1/src/unicode.rs    | 5715 +++++++++++++++
 .../rust/regex-syntax/.cargo-checksum.json    |    2 +-
 third_party/rust/regex-syntax/Cargo.toml      |   26 +-
 third_party/rust/regex-syntax/LICENSE-APACHE  |  201 +
 third_party/rust/regex-syntax/LICENSE-MIT     |   25 +
 .../rust/regex-syntax/benches/bench.rs        |   73 +
 third_party/rust/regex-syntax/src/ast/mod.rs  | 1515 ++++
 .../rust/regex-syntax/src/ast/parse.rs        | 5365 +++++++++++++++
 .../rust/regex-syntax/src/ast/print.rs        |  586 ++
 .../rust/regex-syntax/src/ast/visitor.rs      |  557 ++
 third_party/rust/regex-syntax/src/either.rs   |    8 +
 third_party/rust/regex-syntax/src/error.rs    |  297 +
 .../rust/regex-syntax/src/hir/interval.rs     |  490 ++
 .../rust/regex-syntax/src/hir/literal/mod.rs  | 1551 +++++
 third_party/rust/regex-syntax/src/hir/mod.rs  | 2055 ++++++
 .../rust/regex-syntax/src/hir/print.rs        |  375 +
 .../rust/regex-syntax/src/hir/translate.rs    | 2532 +++++++
 .../rust/regex-syntax/src/hir/visitor.rs      |  222 +
 third_party/rust/regex-syntax/src/lib.rs      | 2280 +-----
 third_party/rust/regex-syntax/src/parser.rs   | 3487 +---------
 third_party/rust/regex-syntax/src/unicode.rs  | 6098 ++---------------
 .../regex-syntax/src/unicode_tables/age.rs    |  455 ++
 .../src/unicode_tables/case_folding_simple.rs |  725 ++
 .../src/unicode_tables/general_category.rs    | 1907 ++++++
 .../regex-syntax/src/unicode_tables/mod.rs    |    9 +
 .../src/unicode_tables/perl_word.rs           |  188 +
 .../src/unicode_tables/property_bool.rs       | 2658 +++++++
 .../src/unicode_tables/property_names.rs      |  147 +
 .../src/unicode_tables/property_values.rs     |  289 +
 .../regex-syntax/src/unicode_tables/script.rs |  801 +++
 .../src/unicode_tables/script_extension.rs    |  829 +++
 third_party/rust/regex/.cargo-checksum.json   |    2 +-
 third_party/rust/regex/.cargo_vcs_info.json   |    5 +
 third_party/rust/regex/.travis.yml            |   11 +-
 third_party/rust/regex/CHANGELOG.md           |  248 +
 third_party/rust/regex/Cargo.toml             |  129 +-
 third_party/rust/regex/HACKING.md             |  116 +-
 third_party/rust/regex/PERFORMANCE.md         |    2 +-
 third_party/rust/regex/README.md              |   74 +-
 third_party/rust/regex/UNICODE.md             |  250 +
 third_party/rust/regex/appveyor.yml           |    6 +-
 third_party/rust/regex/build.rs               |   86 +
 third_party/rust/regex/ci/after_success.sh    |    9 -
 third_party/rust/regex/ci/run-kcov            |   16 +-
 third_party/rust/regex/ci/script.sh           |   41 +-
 third_party/rust/regex/ci/test-regex-capi     |    7 +
 .../examples/shootout-regex-dna-bytes.rs      |    2 +-
 .../examples/shootout-regex-dna-single.rs     |    2 +-
 .../rust/regex/examples/shootout-regex-dna.rs |    2 +-
 third_party/rust/regex/scripts/generate.py    |   45 +
 .../rust/regex/scripts/scrape_crates_io.py    |  189 +
 third_party/rust/regex/src/backtrack.rs       |    8 +-
 third_party/rust/regex/src/compile.rs         |  351 +-
 third_party/rust/regex/src/dfa.rs             |  169 +-
 third_party/rust/regex/src/error.rs           |   33 +-
 third_party/rust/regex/src/exec.rs            |  181 +-
 third_party/rust/regex/src/expand.rs          |    6 +-
 third_party/rust/regex/src/input.rs           |   33 +-
 third_party/rust/regex/src/lib.rs             |  119 +-
 third_party/rust/regex/src/literal/mod.rs     | 1141 +++
 .../regex/src/literal/teddy_avx2/fallback.rs  |   20 +
 .../rust/regex/src/literal/teddy_avx2/imp.rs  |  468 ++
 .../rust/regex/src/literal/teddy_avx2/mod.rs  |   14 +
 .../regex/src/literal/teddy_ssse3/fallback.rs |   20 +
 .../rust/regex/src/literal/teddy_ssse3/imp.rs |  776 +++
 .../rust/regex/src/literal/teddy_ssse3/mod.rs |   14 +
 third_party/rust/regex/src/pikevm.rs          |    4 +-
 third_party/rust/regex/src/prog.rs            |   32 +-
 third_party/rust/regex/src/re_builder.rs      |  137 +-
 third_party/rust/regex/src/re_bytes.rs        |  210 +-
 third_party/rust/regex/src/re_set.rs          |   20 +
 third_party/rust/regex/src/re_trait.rs        |   34 +-
 third_party/rust/regex/src/re_unicode.rs      |  422 +-
 third_party/rust/regex/src/utf8.rs            |   47 +-
 third_party/rust/regex/src/vector/avx2.rs     |  187 +
 third_party/rust/regex/src/vector/mod.rs      |    4 +
 third_party/rust/regex/src/vector/ssse3.rs    |  192 +
 third_party/rust/regex/tests/api_str.rs       |    9 +
 third_party/rust/regex/tests/bytes.rs         |   12 +-
 third_party/rust/regex/tests/consistent.rs    |  213 +
 third_party/rust/regex/tests/crates_regex.rs  | 3129 +++++++++
 third_party/rust/regex/tests/crazy.rs         |  323 +
 third_party/rust/regex/tests/macros.rs        |    2 +-
 third_party/rust/regex/tests/macros_bytes.rs  |    4 +-
 third_party/rust/regex/tests/macros_str.rs    |    6 +-
 third_party/rust/regex/tests/noparse.rs       |   12 +-
 third_party/rust/regex/tests/regression.rs    |   12 +-
 third_party/rust/regex/tests/replace.rs       |   12 +
 .../rust/regex/tests/test_crates_regex.rs     |   57 +
 third_party/rust/regex/tests/test_default.rs  |   10 +
 .../rust/regex/tests/test_default_bytes.rs    |    2 +-
 third_party/rust/regex/tests/unicode.rs       |   79 +
 .../rust/regex/tests/word_boundary_unicode.rs |    2 -
 .../rust/smallvec/.cargo-checksum.json        |    2 +-
 third_party/rust/smallvec/.travis.yml         |    8 +-
 third_party/rust/smallvec/Cargo.toml          |   10 +-
 third_party/rust/smallvec/LICENSE             |  374 -
 third_party/rust/smallvec/LICENSE-APACHE      |  201 +
 third_party/rust/smallvec/LICENSE-MIT         |   25 +
 third_party/rust/smallvec/benches/bench.rs    |  276 +-
 third_party/rust/smallvec/lib.rs              |  799 ++-
 .../rust/thread_local/.cargo-checksum.json    |    2 +-
 third_party/rust/thread_local/.travis.yml     |    2 +-
 third_party/rust/thread_local/Cargo.toml      |    9 +-
 third_party/rust/thread_local/src/lib.rs      |    4 +-
 .../rust/thread_local/src/unreachable.rs      |   74 +
 .../rust/ucd-util/.cargo-checksum.json        |    1 +
 third_party/rust/ucd-util/Cargo.toml          |   23 +
 third_party/rust/ucd-util/LICENSE-APACHE      |  201 +
 third_party/rust/ucd-util/LICENSE-MIT         |   21 +
 third_party/rust/ucd-util/README.md           |   23 +
 third_party/rust/ucd-util/src/hangul.rs       |  105 +
 third_party/rust/ucd-util/src/ideograph.rs    |   83 +
 third_party/rust/ucd-util/src/lib.rs          |   28 +
 third_party/rust/ucd-util/src/name.rs         |  180 +
 third_party/rust/ucd-util/src/property.rs     |  124 +
 .../src/unicode_tables/jamo_short_name.rs     |   22 +
 .../rust/ucd-util/src/unicode_tables/mod.rs   |    5 +
 .../src/unicode_tables/property_names.rs      |  146 +
 .../src/unicode_tables/property_values.rs     |  992 +++
 .../rust/utf8-ranges/.cargo-checksum.json     |    2 +-
 third_party/rust/utf8-ranges/.travis.yml      |    8 +-
 third_party/rust/utf8-ranges/Cargo.toml       |   26 +-
 third_party/rust/utf8-ranges/ci/script.sh     |   17 +
 450 files changed, 87492 insertions(+), 15546 deletions(-)
 create mode 100755 third_party/rust/aho-corasick/ci/script.sh
 create mode 100644 third_party/rust/bindgen/LICENSE
 create mode 100644 third_party/rust/bindgen/README.md
 delete mode 100644 third_party/rust/clang-sys/CONTRIBUTING.md
 create mode 100644 third_party/rust/libc/ci/linux-s390x.sh
 create mode 100644 third_party/rust/libc/ci/linux-sparc64.sh
 create mode 100755 third_party/rust/libc/ci/test-runner-linux
 create mode 100644 third_party/rust/libc/src/cloudabi/aarch64.rs
 create mode 100644 third_party/rust/libc/src/cloudabi/arm.rs
 create mode 100644 third_party/rust/libc/src/cloudabi/mod.rs
 create mode 100644 third_party/rust/libc/src/cloudabi/x86.rs
 create mode 100644 third_party/rust/libc/src/cloudabi/x86_64.rs
 create mode 100644 third_party/rust/libc/src/fuchsia/aarch64.rs
 create mode 100644 third_party/rust/libc/src/fuchsia/mod.rs
 create mode 100644 third_party/rust/libc/src/fuchsia/powerpc64.rs
 create mode 100644 third_party/rust/libc/src/fuchsia/x86_64.rs
 rename third_party/rust/libc/src/unix/bsd/netbsdlike/openbsdlike/{bitrig.rs => bitrig/mod.rs} (63%)
 rename third_party/rust/libc/src/unix/bsd/netbsdlike/openbsdlike/{other/b32/mod.rs => bitrig/x86.rs} (100%)
 rename third_party/rust/libc/src/unix/bsd/netbsdlike/openbsdlike/{other/b64/mod.rs => bitrig/x86_64.rs} (100%)
 delete mode 100644 third_party/rust/libc/src/unix/bsd/netbsdlike/openbsdlike/openbsd.rs
 create mode 100644 third_party/rust/libc/src/unix/bsd/netbsdlike/openbsdlike/openbsd/aarch64.rs
 create mode 100644 third_party/rust/libc/src/unix/bsd/netbsdlike/openbsdlike/openbsd/mod.rs
 create mode 100644 third_party/rust/libc/src/unix/bsd/netbsdlike/openbsdlike/openbsd/x86.rs
 create mode 100644 third_party/rust/libc/src/unix/bsd/netbsdlike/openbsdlike/openbsd/x86_64.rs
 delete mode 100644 third_party/rust/libc/src/unix/bsd/netbsdlike/openbsdlike/other/mod.rs
 create mode 100644 third_party/rust/libc/src/unix/hermit/aarch64.rs
 create mode 100644 third_party/rust/libc/src/unix/hermit/mod.rs
 create mode 100644 third_party/rust/libc/src/unix/hermit/x86_64.rs
 create mode 100644 third_party/rust/libc/src/unix/newlib/aarch64/mod.rs
 create mode 100644 third_party/rust/libc/src/unix/notbsd/linux/musl/b32/powerpc.rs
 create mode 100644 third_party/rust/libc/src/unix/uclibc/x86_64/other.rs
 create mode 100644 third_party/rust/libloading/src/os/unix/global_static.c
 delete mode 100644 third_party/rust/libloading/tests/statics.rs
 create mode 100644 third_party/rust/memchr-1.0.2/.cargo-checksum.json
 create mode 100644 third_party/rust/memchr-1.0.2/.travis.yml
 create mode 100644 third_party/rust/memchr-1.0.2/COPYING
 create mode 100644 third_party/rust/memchr-1.0.2/Cargo.toml
 create mode 100644 third_party/rust/memchr-1.0.2/LICENSE-MIT
 create mode 100644 third_party/rust/memchr-1.0.2/Makefile
 create mode 100644 third_party/rust/memchr-1.0.2/README.md
 create mode 100644 third_party/rust/memchr-1.0.2/UNLICENSE
 create mode 100644 third_party/rust/memchr-1.0.2/appveyor.yml
 create mode 100644 third_party/rust/memchr-1.0.2/benches/bench.rs
 create mode 100644 third_party/rust/memchr-1.0.2/ctags.rust
 create mode 100644 third_party/rust/memchr-1.0.2/session.vim
 create mode 100644 third_party/rust/memchr-1.0.2/src/lib.rs
 create mode 100755 third_party/rust/memchr/ci/script.sh
 create mode 100644 third_party/rust/proc-macro2-0.2.2/.cargo-checksum.json
 create mode 100644 third_party/rust/proc-macro2-0.2.2/.travis.yml
 create mode 100644 third_party/rust/proc-macro2-0.2.2/Cargo.toml
 create mode 100644 third_party/rust/proc-macro2-0.2.2/LICENSE-APACHE
 create mode 100644 third_party/rust/proc-macro2-0.2.2/LICENSE-MIT
 create mode 100644 third_party/rust/proc-macro2-0.2.2/README.md
 create mode 100644 third_party/rust/proc-macro2-0.2.2/src/lib.rs
 rename third_party/rust/{proc-macro2 => proc-macro2-0.2.2}/src/macros.rs (100%)
 create mode 100644 third_party/rust/proc-macro2-0.2.2/src/stable.rs
 create mode 100644 third_party/rust/proc-macro2-0.2.2/src/strnom.rs
 create mode 100644 third_party/rust/proc-macro2-0.2.2/src/unstable.rs
 create mode 100644 third_party/rust/proc-macro2-0.2.2/tests/test.rs
 create mode 100644 third_party/rust/quote-0.4.2/.cargo-checksum.json
 create mode 100644 third_party/rust/quote-0.4.2/Cargo.toml
 create mode 100644 third_party/rust/quote-0.4.2/LICENSE-APACHE
 create mode 100644 third_party/rust/quote-0.4.2/LICENSE-MIT
 create mode 100644 third_party/rust/quote-0.4.2/README.md
 create mode 100644 third_party/rust/quote-0.4.2/src/lib.rs
 create mode 100644 third_party/rust/quote-0.4.2/src/to_tokens.rs
 create mode 100644 third_party/rust/quote-0.4.2/src/tokens.rs
 create mode 100644 third_party/rust/quote-0.4.2/tests/test.rs
 create mode 100644 third_party/rust/regex-0.2.2/.cargo-checksum.json
 create mode 100644 third_party/rust/regex-0.2.2/.travis.yml
 create mode 100644 third_party/rust/regex-0.2.2/CHANGELOG.md
 create mode 100644 third_party/rust/regex-0.2.2/Cargo.toml
 create mode 100644 third_party/rust/regex-0.2.2/HACKING.md
 create mode 100644 third_party/rust/regex-0.2.2/LICENSE-APACHE
 create mode 100644 third_party/rust/regex-0.2.2/LICENSE-MIT
 create mode 100644 third_party/rust/regex-0.2.2/PERFORMANCE.md
 create mode 100644 third_party/rust/regex-0.2.2/README.md
 create mode 100644 third_party/rust/regex-0.2.2/appveyor.yml
 create mode 100755 third_party/rust/regex-0.2.2/ci/after_success.sh
 create mode 100755 third_party/rust/regex-0.2.2/ci/run-kcov
 create mode 100755 third_party/rust/regex-0.2.2/ci/run-shootout-test
 create mode 100755 third_party/rust/regex-0.2.2/ci/script.sh
 rename third_party/rust/{regex => regex-0.2.2}/examples/bug347.rs (100%)
 create mode 100644 third_party/rust/regex-0.2.2/examples/regexdna-input.txt
 create mode 100644 third_party/rust/regex-0.2.2/examples/regexdna-output.txt
 create mode 100644 third_party/rust/regex-0.2.2/examples/shootout-regex-dna-bytes.rs
 create mode 100644 third_party/rust/regex-0.2.2/examples/shootout-regex-dna-cheat.rs
 create mode 100644 third_party/rust/regex-0.2.2/examples/shootout-regex-dna-replace.rs
 create mode 100644 third_party/rust/regex-0.2.2/examples/shootout-regex-dna-single-cheat.rs
 create mode 100644 third_party/rust/regex-0.2.2/examples/shootout-regex-dna-single.rs
 create mode 100644 third_party/rust/regex-0.2.2/examples/shootout-regex-dna.rs
 rename third_party/rust/{regex => regex-0.2.2}/examples/shootout-regex-redux-1.rs (100%)
 rename third_party/rust/{regex => regex-0.2.2}/examples/shootout-regex-redux-chunked.rs (100%)
 rename third_party/rust/{regex => regex-0.2.2}/examples/shootout-regex-redux.rs (100%)
 create mode 100755 third_party/rust/regex-0.2.2/scripts/frequencies.py
 create mode 100755 third_party/rust/regex-0.2.2/scripts/regex-match-tests.py
 rename third_party/rust/{regex => regex-0.2.2}/scripts/unicode.py (100%)
 create mode 100644 third_party/rust/regex-0.2.2/src/backtrack.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/compile.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/dfa.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/error.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/exec.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/expand.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/freqs.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/input.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/lib.rs
 rename third_party/rust/{regex => regex-0.2.2}/src/literals.rs (100%)
 create mode 100644 third_party/rust/regex-0.2.2/src/pattern.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/pikevm.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/prog.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/re_builder.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/re_bytes.rs
 rename third_party/rust/{regex => regex-0.2.2}/src/re_plugin.rs (100%)
 create mode 100644 third_party/rust/regex-0.2.2/src/re_set.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/re_trait.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/re_unicode.rs
 rename third_party/rust/{regex => regex-0.2.2}/src/simd_accel/mod.rs (100%)
 rename third_party/rust/{regex => regex-0.2.2}/src/simd_accel/teddy128.rs (100%)
 rename third_party/rust/{regex => regex-0.2.2}/src/simd_fallback/mod.rs (100%)
 rename third_party/rust/{regex => regex-0.2.2}/src/simd_fallback/teddy128.rs (100%)
 create mode 100644 third_party/rust/regex-0.2.2/src/sparse.rs
 create mode 100644 third_party/rust/regex-0.2.2/src/testdata/LICENSE
 create mode 100644 third_party/rust/regex-0.2.2/src/testdata/README
 create mode 100644 third_party/rust/regex-0.2.2/src/testdata/basic.dat
 create mode 100644 third_party/rust/regex-0.2.2/src/testdata/nullsubexpr.dat
 create mode 100644 third_party/rust/regex-0.2.2/src/testdata/repetition.dat
 create mode 100644 third_party/rust/regex-0.2.2/src/utf8.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/api.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/api_str.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/bytes.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/crazy.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/flags.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/fowler.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/macros.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/macros_bytes.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/macros_str.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/misc.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/multiline.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/noparse.rs
 rename third_party/rust/{regex => regex-0.2.2}/tests/plugin.rs (100%)
 create mode 100644 third_party/rust/regex-0.2.2/tests/regression.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/replace.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/searcher.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/set.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/shortest_match.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/suffix_reverse.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/test_backtrack.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/test_backtrack_bytes.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/test_backtrack_utf8bytes.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/test_default.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/test_default_bytes.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/test_nfa.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/test_nfa_bytes.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/test_nfa_utf8bytes.rs
 rename third_party/rust/{regex => regex-0.2.2}/tests/test_plugin.rs (100%)
 create mode 100644 third_party/rust/regex-0.2.2/tests/unicode.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/word_boundary.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/word_boundary_ascii.rs
 create mode 100644 third_party/rust/regex-0.2.2/tests/word_boundary_unicode.rs
 create mode 100644 third_party/rust/regex-syntax-0.4.1/.cargo-checksum.json
 create mode 100644 third_party/rust/regex-syntax-0.4.1/Cargo.toml
 create mode 100644 third_party/rust/regex-syntax-0.4.1/src/lib.rs
 rename third_party/rust/{regex-syntax => regex-syntax-0.4.1}/src/literals.rs (100%)
 create mode 100644 third_party/rust/regex-syntax-0.4.1/src/parser.rs
 rename third_party/rust/{regex-syntax => regex-syntax-0.4.1}/src/properties.rs (100%)
 create mode 100644 third_party/rust/regex-syntax-0.4.1/src/unicode.rs
 create mode 100644 third_party/rust/regex-syntax/LICENSE-APACHE
 create mode 100644 third_party/rust/regex-syntax/LICENSE-MIT
 create mode 100644 third_party/rust/regex-syntax/benches/bench.rs
 create mode 100644 third_party/rust/regex-syntax/src/ast/mod.rs
 create mode 100644 third_party/rust/regex-syntax/src/ast/parse.rs
 create mode 100644 third_party/rust/regex-syntax/src/ast/print.rs
 create mode 100644 third_party/rust/regex-syntax/src/ast/visitor.rs
 create mode 100644 third_party/rust/regex-syntax/src/either.rs
 create mode 100644 third_party/rust/regex-syntax/src/error.rs
 create mode 100644 third_party/rust/regex-syntax/src/hir/interval.rs
 create mode 100644 third_party/rust/regex-syntax/src/hir/literal/mod.rs
 create mode 100644 third_party/rust/regex-syntax/src/hir/mod.rs
 create mode 100644 third_party/rust/regex-syntax/src/hir/print.rs
 create mode 100644 third_party/rust/regex-syntax/src/hir/translate.rs
 create mode 100644 third_party/rust/regex-syntax/src/hir/visitor.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/age.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/case_folding_simple.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/general_category.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/mod.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/perl_word.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/property_bool.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/property_names.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/property_values.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/script.rs
 create mode 100644 third_party/rust/regex-syntax/src/unicode_tables/script_extension.rs
 create mode 100644 third_party/rust/regex/.cargo_vcs_info.json
 create mode 100644 third_party/rust/regex/UNICODE.md
 create mode 100644 third_party/rust/regex/build.rs
 create mode 100755 third_party/rust/regex/ci/test-regex-capi
 create mode 100755 third_party/rust/regex/scripts/generate.py
 create mode 100755 third_party/rust/regex/scripts/scrape_crates_io.py
 create mode 100644 third_party/rust/regex/src/literal/mod.rs
 create mode 100644 third_party/rust/regex/src/literal/teddy_avx2/fallback.rs
 create mode 100644 third_party/rust/regex/src/literal/teddy_avx2/imp.rs
 create mode 100644 third_party/rust/regex/src/literal/teddy_avx2/mod.rs
 create mode 100644 third_party/rust/regex/src/literal/teddy_ssse3/fallback.rs
 create mode 100644 third_party/rust/regex/src/literal/teddy_ssse3/imp.rs
 create mode 100644 third_party/rust/regex/src/literal/teddy_ssse3/mod.rs
 create mode 100644 third_party/rust/regex/src/vector/avx2.rs
 create mode 100644 third_party/rust/regex/src/vector/mod.rs
 create mode 100644 third_party/rust/regex/src/vector/ssse3.rs
 create mode 100644 third_party/rust/regex/tests/consistent.rs
 create mode 100644 third_party/rust/regex/tests/crates_regex.rs
 create mode 100644 third_party/rust/regex/tests/test_crates_regex.rs
 delete mode 100644 third_party/rust/smallvec/LICENSE
 create mode 100644 third_party/rust/smallvec/LICENSE-APACHE
 create mode 100644 third_party/rust/smallvec/LICENSE-MIT
 create mode 100644 third_party/rust/thread_local/src/unreachable.rs
 create mode 100644 third_party/rust/ucd-util/.cargo-checksum.json
 create mode 100644 third_party/rust/ucd-util/Cargo.toml
 create mode 100644 third_party/rust/ucd-util/LICENSE-APACHE
 create mode 100644 third_party/rust/ucd-util/LICENSE-MIT
 create mode 100644 third_party/rust/ucd-util/README.md
 create mode 100644 third_party/rust/ucd-util/src/hangul.rs
 create mode 100644 third_party/rust/ucd-util/src/ideograph.rs
 create mode 100644 third_party/rust/ucd-util/src/lib.rs
 create mode 100644 third_party/rust/ucd-util/src/name.rs
 create mode 100644 third_party/rust/ucd-util/src/property.rs
 create mode 100644 third_party/rust/ucd-util/src/unicode_tables/jamo_short_name.rs
 create mode 100644 third_party/rust/ucd-util/src/unicode_tables/mod.rs
 create mode 100644 third_party/rust/ucd-util/src/unicode_tables/property_names.rs
 create mode 100644 third_party/rust/ucd-util/src/unicode_tables/property_values.rs
 create mode 100755 third_party/rust/utf8-ranges/ci/script.sh

diff --git a/js/rust/Cargo.toml b/js/rust/Cargo.toml
index e0b4fe02da7c..fe6144670d93 100644
--- a/js/rust/Cargo.toml
+++ b/js/rust/Cargo.toml
@@ -3,17 +3,17 @@ name = "js"
 version = "0.1.4"
 authors = ["The Servo Project Developers"]
 build = "build.rs"
 license = "MPL-2.0"
 
 [build-dependencies]
 env_logger = {version = "0.4", default-features = false} # disable `regex` to reduce code size
 log = "0.3"
-bindgen = {version = "0.33.1", default-features = false} # disable `logging` to reduce code size
+bindgen = {version = "0.37", default-features = false} # disable `logging` to reduce code size
 cmake = "0.1"
 glob = "0.2.11"
 
 [[test]]
 name = "callback"
 [[test]]
 name = "enumerate"
 [[test]]
